Bug 1306526 - traceback adding iso from a jenkins job with mixed iso and rpms artifacts
traceback adding iso from a jenkins job with mixed iso and rpms artifacts
Status: CLOSED CURRENTRELEASE
Product: Repoman
Classification: Community
Component: Core (Show other bugs)
1.2
Unspecified Unspecified
unspecified Severity urgent
: 1.3
: ---
Assigned To: David Caro
David Caro
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-11 02:54 EST by Sandro Bonazzola
Modified: 2016-06-26 19:51 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.2.55
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-29 05:13:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 53858 master MERGED Fixing the addition of isos with urls 2016-02-23 03:59 EST

  None (edit)
Description Sandro Bonazzola 2016-02-11 02:54:48 EST
Description of problem:
repoman --with-sources -k /home/sbonazzo/RPM-GPG-ovirt.private /home/sbonazzo/test add http://jenkins.ovirt.org/job/ovirt-wgt_3.6_create-rpms-fc23-x86_64_merged/3/

fails with:
Traceback (most recent call last):
  File "/usr/bin/repoman", line 10, in <module>
    sys.exit(main())
  File "/usr/lib/python2.7/site-packages/repoman/cmd.py", line 205, in main
    repo.add_source(art_src.strip())
  File "/usr/lib/python2.7/site-packages/repoman/common/repo.py", line 115, in add_source
    store.add_artifact(artifact_path)
  File "/usr/lib/python2.7/site-packages/repoman/common/stores/iso.py", line 151, in add_artifact
    self.add_iso(iso, **args)
  File "/usr/lib/python2.7/site-packages/repoman/common/stores/iso.py", line 169, in add_iso
    temp_dir=self.config.get('temp_dir'),
  File "/usr/lib/python2.7/site-packages/repoman/common/stores/iso.py", line 58, in __init__
    with open(path) as fdno:
IOError: [Errno 2] No such file or directory: u'http://jenkins.ovirt.org/job/ovirt-wgt_3.6_create-rpms-fc23-x86_64_merged/3//artifact/exported-artifacts/oVirt-toolsSetup_3.6-3.fc23.iso'
2016-02-11 07:52:28,607::INFO::repoman.common.repo::Cleaning up temporary dir /tmp/tmpbRts3H

Version-Release number of selected component (if applicable):
$ rpm -qv repoman
repoman-1.2.53-1.el7.centos.noarch
Comment 1 Sandro Bonazzola 2016-02-17 07:55:43 EST
Traceback also adding an iso to an empty repo:
$ repoman -k /home/sbonazzo/RPM-GPG-ovirt.private /home/sbonazzo/ovirt-live add http://jenkins.ovirt.org/job/ovirt-live_3.6-create-iso/251/artifact/output/ovirt-live-el7-3.6.3_rc3.iso

Traceback (most recent call last):
  File "/usr/bin/repoman", line 10, in <module>
    sys.exit(main())
  File "/usr/lib/python2.7/site-packages/repoman/cmd.py", line 205, in main
    repo.add_source(art_src.strip())
  File "/usr/lib/python2.7/site-packages/repoman/common/repo.py", line 115, in add_source
    store.add_artifact(artifact_path)
  File "/usr/lib/python2.7/site-packages/repoman/common/stores/iso.py", line 151, in add_artifact
    self.add_iso(iso, **args)
  File "/usr/lib/python2.7/site-packages/repoman/common/stores/iso.py", line 169, in add_iso
    temp_dir=self.config.get('temp_dir'),
  File "/usr/lib/python2.7/site-packages/repoman/common/stores/iso.py", line 58, in __init__
    with open(path) as fdno:
IOError: [Errno 2] No such file or directory: 'http://jenkins.ovirt.org/job/ovirt-live_3.6-create-iso/251/artifact/output/ovirt-live-el7-3.6.3_rc3.iso'
2016-02-17 12:52:14,394::INFO::repoman.common.repo::Cleaning up temporary dir /tmp/tmpSOPAvv
Comment 2 Sandro Bonazzola 2016-02-17 07:56:12 EST
$ rpm -qv repoman
repoman-1.2.53-1.el7.centos.noarch
Comment 3 David Caro 2016-02-22 13:47:08 EST
I can't reporduce on fedora23 with the same version or the previous one from the repos, I'll try to check on el7
Comment 4 David Caro 2016-02-22 14:05:55 EST
got it, working on it

Note You need to log in before you can comment on or make changes to this bug.